Skip to main content
Reliable Services/DRS Policy APIs
POSTDRS Policy APIsSince 4.0.0SynchronousAuth Required

Create Cluster DRS

Create Cluster DRS

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • clusterUuidStringRequired

    The Cluster UUID

Body Fields

  • nameStringRequired

    The resource name

  • descriptionString

    The detailed description of the resource

  • automationLevelStringRequired

    Whether scheduling is triggered manually or automatically

  • thresholdsListRequired

    The threshold criteria

  • thresholdDurationIntegerRequired

    The threshold evaluation duration. The system queries the workload data for the period from the current time back to thresholdDuration, calculates the result, and compares it with the threshold to determine whether the Cluster requires scheduling.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

POST/zstack/v1/clusters/{clusterUuid}/drs

/zstack/v1/clusters/{clusterUuid}/drs

Operation ID

CreateClusterDRS

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/clusters/{clusterUuid}/drs' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"name":"<name>","description":"<description>","automationLevel":"<automationLevel>","thresholds":["<thresholds>"],"thresholdDuration":1,"defaultEnable":true,"resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"],"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history